Subject: [Sip] INVITE client transaction

From: feng zhang <[email-masked]>
Date: Sat, 12 Oct 2002 11:24:51 +0800

Hello All,
	I have a doubt about the invite client transaction describe in SIP spec.
    In RFC3261 sec. 13.2.2.4 "2xx Responses", the last but one paragraph, it says:
" The UAC core considers the INVITE transaction completed 64*T1 seconds
   after the reception of the first 2xx response.  At this point all the
   early dialogs that have not transitioned to established dialogs are
   terminated.  Once the INVITE transaction is considered completed by
   the UAC core, no more new 2xx responses are expected to arrive.
"
   My question is:
   When recieving a 2xx response, the state of invite client transaction will transition to "Terminated" State, and the inv_client_transaction should be destroyed(17.1.1.2 RFC3261).But here in 13.2.2.4 , it says " The UAC core considers the INVITE transaction completed 64*T1 seconds after the reception of the first 2xx response.". Does the UAC core keeps the inv_client_transaction ALIVE for 64*T1 seconds? 
    And I want to know what "INVITE transaction completed" means? Does it mean the transaction is destroyed?  Why here uses 64*T1 seconds?
    I am doubted about it.Thank u very much to give me a clarification.

Best Regards.
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Matthias Konrad" <[email-masked]>
Date: Sat, 12 Oct 2002 10:44:42 +0200

Hi
You have to distinguish if you are looking at the client side INVITE process as
whole or just at the client side invite transaction.
The client side invite transaction is just cabable of acknowledgeing one 2xx
response. Of course one invite request can result
in multiple dialogs. So the UAC core has to answer further 2xx responses. He
has to do this statelessly because the 
client side invite transaction is already in the terminated state which means,
that it can be destroyed. The 64*T1 seconds
say how long the UAC core has to do this work.
Personally I agree with you that the naming here could be a bid clearer.

Greets

On Sat, 12 Oct 2002 11:24:51 +0800
 feng zhang <[email-masked]> wrote:
>    When recieving a 2xx response, the state of invite client transaction will
> transition to "Terminated" State, and the inv_client_transaction should be
> destroyed(17.1.1.2 RFC3261).But here in 13.2.2.4 , it says " The UAC core
> considers the INVITE transaction completed 64*T1 seconds after the reception
> of the first 2xx response.". Does the UAC core keeps the
> inv_client_transaction ALIVE for 64*T1 seconds? 
>     And I want to know what "INVITE transaction completed" means? Does it
> mean the transaction is destroyed?  Why here uses 64*T1 seconds?

 _  _ ___ ___  Matthias Konrad;
| || / __| _ \ HSR Hochschule Rapperswil; Oberseestrasse 10;
| __ \__ \   / CH-8640 Rapperswil; Tel: +41 55 222 41 11;
|_||_|___/_|_\ EMAIL: [email-masked]; WWW: www.hsr.ch
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip